mixed-port: 7890
allow-lan: true
bind-address: '*'
mode: rule
log-level: info
ipv6: false
unified-delay: true
tcp-concurrent: true
find-process-mode: 'off'
global-client-fingerprint: chrome
profile:
  store-selected: true
  store-fake-ip: true
dns:
  enable: true
  listen: 0.0.0.0:1053
  ipv6: false
  enhanced-mode: redir-host
  nameserver:
  - https://doh.pub/dns-query
  - https://dns.alidns.com/dns-query
  - 223.5.5.5
  - 119.29.29.29
  fallback:
  - 1.1.1.1
  - 8.8.8.8
  fallback-filter:
    geoip: true
    geoip-code: CN
    ipcidr:
    - 240.0.0.0/4
    - 0.0.0.0/32
proxies:
- name: 🇺🇸 💨 HY2
  type: hysteria2
  server: 23.144.4.97
  port: 8443
  password: hy2_1777379715_OGrskiwAs66ihD4v
  sni: www.cloudflare.com
  skip-cert-verify: true
  udp: true
- name: 🇺🇸 🔍 Reality
  type: vless
  server: 23.144.4.97
  port: 8443
  uuid: 93c6e103-c2fe-43da-bc26-1e4c0f5e528b
  network: tcp
  udp: true
  tls: true
  servername: www.cloudflare.com
  flow: xtls-rprx-vision
  client-fingerprint: chrome
  reality-opts:
    public-key: UkFmSNh4pODQf9tTq3etwEHoPtCinrJLPKpfsXoJBwQ
    short-id: 3d86e2b4c82a5cd4
- name: 🇺🇸 🌐 WS
  type: vless
  server: 23.144.4.97
  port: 8443
  uuid: e17c1ff3-2ac8-476b-a87e-0d326440f847
  network: ws
  udp: true
  tls: true
  servername: 23.144.4.97
  skip-cert-verify: true
  client-fingerprint: chrome
  ws-opts:
    path: /ws-vless
proxy-groups:
- name: 🛰️ 洛杉矶自动
  type: url-test
  url: https://www.gstatic.com/generate_204
  interval: 300
  tolerance: 80
  proxies:
  - 🇺🇸 🔍 Reality
  - 🇺🇸 🌐 WS
- name: 🛠️ 洛杉矶手动
  type: select
  proxies:
  - 🇺🇸 🔍 Reality
  - 🇺🇸 🌐 WS
  - DIRECT
- name: 🎯 节点选择
  type: select
  proxies:
  - 🛰️ 洛杉矶自动
  - 🛠️ 洛杉矶手动
  - DIRECT
- name: 🔐 OpenAI登录
  type: select
  proxies:
  - 🎯 节点选择
  - 🛰️ 洛杉矶自动
  - 🛠️ 洛杉矶手动
  - DIRECT
- name: AI服务
  type: select
  proxies: &id
  - 🎯 节点选择
  - 🛰️ 洛杉矶自动
  - 🛠️ 洛杉矶手动
  - DIRECT
- name: 谷歌服务
  type: select
  proxies: *id
- name: 微软服务
  type: select
  proxies: *id
- name: 苹果服务
  type: select
  proxies:
  - 🇺🇸 DIRECT
  - DIRECT
  - 🎯 节点选择
- name: GitHub
  type: select
  proxies: *id
- name: Telegram
  type: select
  proxies: *id
- name: Discord
  type: select
  proxies: *id
- name: X平台
  type: select
  proxies: *id
- name: YouTube
  type: select
  proxies: *id
- name: Reddit
  type: select
  proxies: *id
- name: Cloudflare
  type: select
  proxies:
  - 🎯 节点选择
  - 🛰️ 洛杉矶自动
  - 🛠️ 洛杉矶手动
  - DIRECT
- name: Speedtest
  type: select
  proxies:
  - 🇺🇸 DIRECT
  - DIRECT
  - 🎯 节点选择
- name: 国外直连
  type: select
  proxies:
  - DIRECT
  - 🎯 节点选择
- name: 国内网站
  type: select
  proxies:
  - DIRECT
  - 🎯 节点选择
- name: 其他国外
  type: select
  proxies: *id
- name: 漏网兜底
  type: select
  proxies:
  - 🎯 节点选择
  - 其他国外
  - 🛰️ 洛杉矶自动
  - 🛠️ 洛杉矶手动
  - DIRECT
- name: 🌐 Global
  type: select
  proxies:
  - 🎯 节点选择
  - 🛰️ 洛杉矶自动
  - 🛠️ 洛杉矶手动
  - DIRECT
rule-providers:
  🏠 LAN:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/Lan/Lan.yaml
    path: ./ruleset/Lan.yaml
    interval: 86400
  🇨🇳 ChinaMax:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/ChinaMax/ChinaMax.yaml
    path: ./ruleset/ChinaMax.yaml
    interval: 86400
  GoogleCN:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/Ruleset/GoogleCN.list
    path: ./ruleset/GoogleCN.list
    interval: 86400
  Download:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/Ruleset/Download.list
    path: ./ruleset/Download.list
    interval: 86400
  ProxyLite:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/master/Clash/ProxyLite.list
    path: ./ruleset/ProxyLite.list
    interval: 86400
  OpenAI:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/OpenAI/OpenAI.yaml
    path: ./ruleset/OpenAI.yaml
    interval: 86400
  Claude:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/Claude/Claude.yaml
    path: ./ruleset/Claude.yaml
    interval: 86400
  Gemini:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/Gemini/Gemini.yaml
    path: ./ruleset/Gemini.yaml
    interval: 86400
  谷歌:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/Google/Google.yaml
    path: ./ruleset/Google.yaml
    interval: 86400
  YouTube:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/YouTube/YouTube.yaml
    path: ./ruleset/YouTube.yaml
    interval: 86400
  Telegram:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/Telegram/Telegram.yaml
    path: ./ruleset/Telegram.yaml
    interval: 86400
  Discord:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/Discord/Discord.yaml
    path: ./ruleset/Discord.yaml
    interval: 86400
  Twitter:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/Twitter/Twitter.yaml
    path: ./ruleset/Twitter.yaml
    interval: 86400
  Instagram:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/Instagram/Instagram.yaml
    path: ./ruleset/Instagram.yaml
    interval: 86400
  Microsoft:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/Microsoft/Microsoft.yaml
    path: ./ruleset/Microsoft.yaml
    interval: 86400
  Apple:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/Apple/Apple.yaml
    path: ./ruleset/Apple.yaml
    interval: 86400
  Cloudflare:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/Cloudflare/Cloudflare.yaml
    path: ./ruleset/Cloudflare.yaml
    interval: 86400
  Speedtest:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/Speedtest/Speedtest.yaml
    path: ./ruleset/Speedtest.yaml
    interval: 86400
  GitHub:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/GitHub/GitHub.yaml
    path: ./ruleset/GitHub.yaml
    interval: 86400
  Reddit:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/Reddit/Reddit.yaml
    path: ./ruleset/Reddit.yaml
    interval: 86400
  ADBlock:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/AdvertisingLite/AdvertisingLite.yaml
    path: ./ruleset/AdvertisingLite.yaml
    interval: 86400
rules:
- RULE-SET,🏠 LAN,DIRECT
- DOMAIN-SUFFIX,liu14.dpdns.org,DIRECT
- DOMAIN-SUFFIX,liu14.bond,DIRECT
- DOMAIN-SUFFIX,vpn-6pw.pages.dev,DIRECT
- GEOIP,private,DIRECT,no-resolve
- RULE-SET,ADBlock,REJECT
- DOMAIN-SUFFIX,auth.openai.com,🔐 OpenAI登录
- DOMAIN-SUFFIX,chatgpt.com,AI服务
- DOMAIN-SUFFIX,openai.com,AI服务
- DOMAIN-SUFFIX,oaistatic.com,AI服务
- DOMAIN-SUFFIX,oaiusercontent.com,AI服务
- RULE-SET,OpenAI,AI服务
- RULE-SET,Claude,AI服务
- RULE-SET,Gemini,AI服务
- RULE-SET,GoogleCN,国外直连
- RULE-SET,谷歌,谷歌服务
- RULE-SET,YouTube,YouTube
- RULE-SET,Telegram,Telegram
- RULE-SET,Discord,Discord
- RULE-SET,Twitter,X平台
- RULE-SET,Instagram,X平台
- RULE-SET,Microsoft,微软服务
- RULE-SET,Download,国外直连
- RULE-SET,Apple,苹果服务
- RULE-SET,Cloudflare,Cloudflare
- RULE-SET,Speedtest,Speedtest
- RULE-SET,GitHub,GitHub
- RULE-SET,Reddit,Reddit
- RULE-SET,ProxyLite,其他国外
- RULE-SET,🇨🇳 ChinaMax,国内网站
- GEOIP,CN,国内网站,no-resolve
- MATCH,漏网兜底
